#include "X3D_PositionInterpolator.h"

#include <iostream>

using namespace std;

namespace X3DTK {
namespace X3D {

PositionInterpolator::PositionInterpolator()
: X3DInterpolatorNode()
{
  define(Recorder<PositionInterpolator>::getTypeName("PositionInterpolator", "Interpolation"));
  
  define(Recorder<PositionInterpolator, MFVec3f>::getAttribute("keyValue", &PositionInterpolator::_keyValue, MFVec3f()));
}

PositionInterpolator::~PositionInterpolator()
{
}

void PositionInterpolator::setKeyValue(const MFVec3f &keyValue)
{
  _keyValue = keyValue;
}

}
}
