#include "X3D_Coordinate.h"

#include <iostream>

using namespace std;

namespace X3DTK {
namespace X3D {

Coordinate::Coordinate()
: X3DCoordinateNode()
{
  define(Recorder<Coordinate>::getTypeName("Coordinate", "Rendering"));
  
  define(Recorder<Coordinate, MFVec3f>::getAttribute("point", &Coordinate::_point, MFVec3f()));
}

Coordinate::~Coordinate()
{
}

void Coordinate::setPoint(const MFVec3f &point)
{
  _point = point;
}

}
}
