#include "X3D_LineProperties.h"

namespace X3DTK {
namespace X3D {

LineProperties::LineProperties()
: X3DAppearanceChildNode()
{
  define(Recorder<LineProperties>::getTypeName("LineProperties", "Shape"));
  
  define(Recorder<LineProperties, SFInt32>::getAttribute("lineStyle", &LineProperties::_lineStyle, 0));
  define(Recorder<LineProperties, SFFloat>::getAttribute("width", &LineProperties::_width, 0.0f));
}

LineProperties::~LineProperties()
{
}

void LineProperties::setLineStyle(const SFInt32 &lineStyle)
{
  _lineStyle = lineStyle;
}

void LineProperties::setWidth(const SFFloat &width)
{
  _width = width;
}

}
}
