#include "X3D_PositionInterpolator2D.h"

#include <iostream>

using namespace std;

namespace X3DTK {
namespace X3D {

PositionInterpolator2D::PositionInterpolator2D()
: X3DInterpolatorNode()
{
  define(Recorder<PositionInterpolator2D>::getTypeName("PositionInterpolator2D", "Interpolation"));
  
  define(Recorder<PositionInterpolator2D, MFVec2f>::getAttribute("keyValue", &PositionInterpolator2D::_keyValue, MFVec2f()));
}

PositionInterpolator2D::~PositionInterpolator2D()
{
}

void PositionInterpolator2D::setKeyValue(const MFVec2f &keyValue)
{
  _keyValue = keyValue;
}

}
}
