#include "X3D_Collision.h"

#include <iostream>

using namespace std;

namespace X3DTK {
namespace X3D {

Collision::Collision()
: X3DGroupingNode(), X3DBoundedObject(), _proxy(0)/*, X3DSensorNode()*/
{
  define(Recorder<Collision>::getTypeName("Collision", "Navigation"));
  
  define(Recorder<Collision, SFBool>::getAttribute("collide", &Collision::_collide, true));
}

Collision::~Collision()
{
}
          
void Collision::setCollide(const SFBool &collide)
{
  _collide = collide;
}

void Collision::setProxy(X3DChildNode *proxy)
{
  removeParentFromChild(this, _proxy);
  _proxy = proxy;
  addParentToChild(this, _proxy);
}

}
}

