#include "X3D_Color.h"

#include <iostream>

using namespace std;

namespace X3DTK {
namespace X3D {

Color::Color()
: X3DColorNode()
{
  define(Recorder<Color>::getTypeName("Color", "Rendering"));
  
  define(Recorder<Color, MFColor>::getAttribute("color", &Color::_color, MFColor()));
}

Color::~Color()
{
}

void Color::setColor(const MFColor &color)
{
  _color = color;
}

}
}
