#include "X3D_Normal.h"

namespace X3DTK {
namespace X3D {

Normal::Normal()
: X3DNormalNode()
{
  define(Recorder<Normal>::getTypeName("Normal", "Rendering"));
  
  define(Recorder<Normal, MFVec3f>::getAttribute("vector", &Normal::_vector, MFVec3f()));
}

Normal::~Normal()
{
}

void Normal::setVector(const MFVec3f &vector)
{
  _vector = vector;
}

}
}
