#include "X3D_X3DShapeNode.h"
#include "X3D_X3DGeometryNode.h"
#include "X3D_X3DAppearanceNode.h"

#include <iostream>

using namespace std;

namespace X3DTK {
namespace X3D {

X3DShapeNode::X3DShapeNode()
: X3DChildNode()
{
  define(Recorder<X3DShapeNode>::getTypeName("X3DShapeNode", "Shape"));

  define(Recorder<X3DShapeNode, X3DAppearanceNode>::getSFNode("appearance", &X3DShapeNode::_appearance));  
  define(Recorder<X3DShapeNode, X3DGeometryNode>::getSFNode("geometry", &X3DShapeNode::_geometry));
}

X3DShapeNode::~X3DShapeNode()
{
  removeChildren();
}

}
}
