#include "X3D_X3DTextureCoordinateNode.h"

#include <iostream>

using namespace std;

namespace X3DTK {
namespace X3D {

X3DTextureCoordinateNode::X3DTextureCoordinateNode()
: X3DGeometricPropertyNode()
{
  define(Recorder<X3DTextureCoordinateNode>::getTypeName("X3DTextureCoordinateNode", "Texturing"));
  
  define(Recorder<X3DTextureCoordinateNode, MFVec2f>::getAttribute("point", &X3DTextureCoordinateNode::_point, MFVec2f()));
}

X3DTextureCoordinateNode::~X3DTextureCoordinateNode()
{
}

void X3DTextureCoordinateNode::setPoint(const MFVec2f &point)
{
  _point = point;
}

}
}
