#include "DFSWalker.h"

using namespace X3DTK;
using namespace std;

DFSWalker::DFSWalker()
: Walker()
{
}

DFSWalker::~DFSWalker()
{
}

void DFSWalker::walk(SFNode N) const 
{
  visitor->enter(N);
  MFNode children = N->getChildList();
  for (MFNode::const_iterator it = children.begin(); it != children.end(); ++it)
  {
    SFNode C = *it;
    if ((C != 0) && (visitor->walkOn(N, C)))
      walk(C);
  }
  visitor->leave(N);
}
